# $Revision: 1.20 $, $Date: 2010/08/19 09:24:13 $
Summary:	OpenSync file plugin
Summary(pl.UTF-8):	Wtyczka file do OpenSync
Name:		libopensync-plugin-file
Version:	0.39
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	4e4aeb1012b504c005c7f235b1bd0e60
URL:		http://www.opensync.org/
BuildRequires:	cmake
BuildRequires:	fam-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync-devel >= 1:%{version}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains file plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę file (do synchronizacji plików) dla
szkieletu OpenSync.

%prep
%setup -q

%build
mkdir build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/opensync/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS INSTALL
%attr(755,root,root) %{_libdir}/libopensync1/plugins/file-sync.so
%attr(755,root,root) %{_libdir}/libopensync1/formats/file.so
%attr(755,root,root) %{_libdir}/libopensync1/formats/plain.so
%{_datadir}/libopensync1/defaults/file-sync

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopensync-plugin-file.spec,v $
Revision 1.20  2010/08/19 09:24:13  glen
- 0.39, last unstable ver before stable

Revision 1.19  2009/12/04 01:49:48  sparky
- BR: cmake

Revision 1.18  2008/10/21 03:08:10  sls
- ver. 0.37

Revision 1.17  2008/05/30 13:46:36  wolvverine
- add epoch to BR:libopensync-devel

Revision 1.16  2008-05-30 00:42:11  wolvverine
- up to 0.36

Revision 1.15  2007-09-02 11:52:21  qboosh
- drop .la
- more BRs

Revision 1.14  2007/09/02 10:56:30  qboosh
- dropped libtool BR too

Revision 1.13  2007/08/31 19:52:54  glen
- update to 0.31

Revision 1.12  2007/06/14 19:43:10  qboosh
- BR: ac,am,lt

Revision 1.11  2007/06/14 19:16:23  glen
- update to 0.30

Revision 1.10  2007/03/28 23:25:05  wrobell
- ver. 0.22

Revision 1.9  2007/03/24 18:08:00  bszx
- updated to 0.21

Revision 1.8  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.6  2006/10/23 21:59:28  glen
- working source0

Revision 1.5  2006/10/23 20:50:24  glen
- stricter libopensync dep

Revision 1.4  2006/10/23 14:58:00  czarny
- up to 0.19
- source from distfiles

Revision 1.3  2006/01/24 10:37:50  qboosh
- pl

Revision 1.2  2006/01/23 12:24:19  wrobell
- fixed source uri's

Revision 1.1  2006/01/23 12:23:01  wrobell
- based on each other ;)
